Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004692TestLinkAPI - XMLRPCpublic2011-08-05 11:532012-09-01 20:00
ReportermartinM 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004692: API method getTestCasesForTestSuite - details=full do not provide steps/expected results
DescriptionIf I call the APImethod getTestCasesForTestSuite(suiteid) with the "details" parameter set to "full", I expect to receive also the test-steps of the specified test-suite.
Unfortunately I only receive the standard information. The comment in the php file tells me to use "full" to get information about steps, but this doesn't work.

For moret details see my post in the forum at: http://www.teamst.org/forum/viewtopic.php?f=10&t=4083&sid=a85ce99984f9525f3df65cfd21076666 [^]
Steps To ReproduceCall the API method getTestCasesForTestsuite and set "details" to "full".
Check the result.
Additional InformationSample client program can be found in my forum post at: http://www.teamst.org/forum/viewtopic.php?f=10&t=4083&sid=a85ce99984f9525f3df65cfd21076666 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0015603)
fman (administrator)
2011-08-06 13:01
edited on: 2011-08-06 13:39

1.9.x - https://gitorious.org/testlink-ga/testlink-code/commit/7ee8765bdf8e7e77f0e3aeda061f0af139159507 [^]

head - https://gitorious.org/testlink-ga/testlink-code/commit/307f7eecbe05cdbf5800a9c00004d6b73f6b58be [^]

(0017377)
fman (administrator)
2012-09-01 20:00

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-08-05 11:53 martinM New Issue
2011-08-06 12:51 fman Summary API method getTestCasesForTestSuite ignores details parameter => API method getTestCasesForTestSuite - details=full do not provide steps/expected results
2011-08-06 13:01 fman Note Added: 0015603
2011-08-06 13:39 fman Note Edited: 0015603 View Revisions
2011-08-06 13:39 fman Status new => resolved
2011-08-06 13:39 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-08-06 13:39 fman Resolution open => fixed
2011-08-06 13:39 fman Assigned To => fman
2012-09-01 20:00 fman Note Added: 0017377
2012-09-01 20:00 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker